#pragma once
#include "BWAPI.h"
#include "StrategyStructureDefinition.h"
#include "BuildOrderTemplate.h"
#include "BaseModel.h"
#include "DTDropHarassTask.h"
#include <vector>
using namespace BWAPI;

class Overseer;
/*
*	This strategy is:
*
*	This strategy opens with:
*
*	This strategy attempts to branch in to: 
*
*
*/


class PvPAlpha : public StrategyStructureDefinition {

public:
	PvPAlpha(Overseer* ov);
	virtual void setUpBranches();
	virtual void loadOpener();
	virtual void monitorBuildOrder();

private:
	std::vector<BuildOrderTemplate*> buildOrder;

protected:

};